<?php
/*Add New Panel for general Setups */
$wp_customize->add_panel( 'sakala_general_panel', array (
	'priority' => '20',
	'capability' => 'edit_theme_options',
	'theme_supports' => '',
	'title' => __( 'General Options', 'sakala' ),
	'description' => __( 'Setup general options of the site.', 'sakala' )
) );

//Add Default Sections to General Panel
$wp_customize->get_section('colors')->panel = 'sakala_general_panel';
$wp_customize->get_section('background_image')->panel = 'sakala_general_panel';
$wp_customize->get_section('static_front_page')->panel = 'sakala_general_panel';


$wp_customize->add_setting('sakala_primary_color',array(
  'default' => '#2c41b4',
  'sanitize_callback'=>'sanitize_text_field'
)); 
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sakala_primary_color', array(
  'label' => esc_html__('Primary Color','sakala'),
  'section'    => 'colors',
)));

// breadcrumb settings
$wp_customize->add_section('sakala_breadcrumbs_section', array(
    'panel' => 'sakala_general_panel',
    'title' => esc_html__('Breadcrumbs Settings', 'sakala')
));

$wp_customize->add_setting( 'sakala_breadcrumbs_enable', array(
  'default'             => 'off',
  'sanitize_callback'   => 'sakala_sanitize_text',
) );

$wp_customize->add_control( new Sakala_Customizer_Buttonset_Control( $wp_customize, 'sakala_breadcrumbs_enable', array(
  'label'         => esc_html__( 'Show Hide Breadcrumbs', 'sakala' ),
  'section'       => 'sakala_breadcrumbs_section',
  'priority'        => 1,
  'choices'         => array(
    'on'        => esc_html__( 'Yes', 'sakala' ),
    'off'       => esc_html__( 'No', 'sakala' ),
  )
) ) );