<?php
/**
 * sakala Theme Customizer Extended
 *
 * @package sakala
 */
if(is_admin()):
	add_action( 'admin_enqueue_scripts', 'sakala_admin_scripts' );
	function sakala_admin_scripts($hook){

		wp_enqueue_script('chosen-jquery', get_template_directory_uri() . '/assets/controls/chosen/js/chosen.jquery.js',array('jquery'));
    	wp_enqueue_style('chosen', get_template_directory_uri() . '/assets/controls/chosen/css/chosen.css', array());

		wp_enqueue_script( 'sakala-adminscript', get_template_directory_uri().'/assets/js/sakala-adminscript.js', array( 'jquery','jquery-ui-sortable' ), '20190924', true );
		$sakala_adminscript = array();
		$sakala_adminscript['ajax_url'] = admin_url( 'admin-ajax.php' );
		wp_localize_script( 'sakala-adminscript', 'sakalaAdminAjax', $sakala_adminscript );
	}
endif;
/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function sakala_extended_customize_preview_js() {
	wp_enqueue_script( 'sakala-custom-izer', get_template_directory_uri() . '/assets/js/sakala-customizer.js', array( 'jquery', 'customize-preview' ), '20190830', true );
}
add_action( 'customize_preview_init', 'sakala_extended_customize_preview_js' );

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */

add_action( 'customize_register', 'sakala_extended_customize_register' );

function sakala_extended_customize_register( $wp_customize ) {

	$wp_customize->register_control_type( 'Sakala_Customizer_Buttonset_Control' );
    

	require get_template_directory() . '/assets/controls/buttonset/class-control-buttonset.php';


	require get_template_directory() . '/assets/customizer/sakala-cus-general.php';// phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
	require get_template_directory() . '/assets/customizer/sakala-cus-header.php';// phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
	require get_template_directory() . '/assets/customizer/sakala-cus-footer.php';// phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound

	require get_template_directory() . '/assets/customizer/sakala-inner-pages.php';// phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound

	


} // end class


if(!function_exists('sakala_social_icons_group')){
	function sakala_social_icons_group(){
		$social_links = array(
			'facebook' => __('Facebook','sakala'),
			'twitter' => __('Twitter','sakala'),
			'instagram' => __('Instagram','sakala'),
			'pinterest' => __('Pinterest','sakala'),
			'vimeo' => __('Vimeo','sakala'),
			'youtube' => __('You Tube','sakala'),
		);
		return $social_links;
	}
}

add_action('customize_controls_print_scripts', 'sakala_customizer_internal_links');
function sakala_customizer_internal_links() {
	?>
	<script type="text/javascript">
		(function($) {
			$(document).ready(function() {
				var api = wp.customize;
				api.bind('ready', function() {
					$(['control', 'section', 'panel']).each(function(i, type) {
						$('body').on('click','a[rel="sakala-'+type+'"]',function(e) {
							e.preventDefault();
							var id = $(this).attr('href').replace('#', '');
							if(api[type].has(id)) {
								api[type].instance(id).focus();
							}
						});
					});
				});
			});
		})(jQuery);
	</script>
	<?php
}

