<?php
/**
 * sakala Theme Sanitizer Extended
 *
 * @package sakala
 */
function sakala_sanitize_text( $input ) {
	return wp_kses_post( force_balance_tags( $input ) );
}
function sakala_sanitize_integer($input){
	return intval( $input );
}
function sakala_sanitize_wrapper( $input ) {

	$valid_keys = array(
		'sakala-wrapper' => esc_html__( 'Wrapped', 'sakala' ),
		'sakala-fullwidth' => esc_html__( 'Fullwidth', 'sakala' ),
	);

	if ( array_key_exists( $input, $valid_keys ) ) {
		return $input;
	} else {
		return '';
	}
}
function sakala_sanitize_yesno( $input ) {

	$valid_keys = array(
		'yes' => esc_html__( 'Yes', 'sakala' ),
		'no' => esc_html__( 'No', 'sakala' ),
	);

	if ( array_key_exists( $input, $valid_keys ) ) {
		return $input;
	} else {
		return '';
	}
}

function sakala_sanitize_gridlist( $input ) {

	$valid_keys = array(
		'list' => esc_html__( 'List', 'sakala' ),
		'grid' => esc_html__( 'Grid', 'sakala' ),
	);

	if ( array_key_exists( $input, $valid_keys ) ) {
		return $input;
	} else {
		return '';
	}
}
function sakala_sanitize_layout( $input ) {

	$valid_keys = array(
		'lay0' => __('Default Layout', 'sakala'),
		'lay1' => __('Layout One', 'sakala'),
		'lay2' => __('Layout Two', 'sakala'),
		'lay3' => __('Layout Three', 'sakala'),
		'lay4' => __('Layout Four', 'sakala'),
		'lay5' => __('Layout Five', 'sakala'),
		'lay6' => __('Layout Six', 'sakala'),
		'lay7' => __('Layout Seven', 'sakala'),
		'lay8' => __('Layout Eight', 'sakala'),
		'lay9' => __('Layout Nine', 'sakala'),
		'lay10' => __('Layout Ten', 'sakala'),
		'lay11' => __('Layout Eleven', 'sakala'),
	);

	if ( array_key_exists( $input, $valid_keys ) ) {
		return $input;
	} else {
		return '';
	}
}
function sakala_sanitize_sidebar( $input ) {
	$valid_keys = array(
		'sidebar-left' => array('image'=> get_template_directory_uri().'/assets/images/sakala-sidebar-left.jpg',
			'name'=>__('Left Sidebar', 'sakala')
		),
		'sidebar-right' => array('image'=> get_template_directory_uri().'/assets/images/sakala-sidebar-right.jpg',
			'name'=>__('Right Sidebar', 'sakala')
		),
		'sidebar-none' => array('image'=> get_template_directory_uri().'/assets/images/sakala-sidebar-none.jpg',
			'name'=>__('No Sidebar', 'sakala')
		),
	);

	if ( array_key_exists( $input, $valid_keys ) ) {
		return $input;
	} else {
		return '';
	}
}

/* Theme Active Callbacks */
function sakala_container_style_wrapper(){
	$sakala_lay = get_theme_mod( 'sakala_container_style','sakala-wrapper');
	if( $sakala_lay == 'sakala-wrapper') {
		return true;
	}
	return false;
}
function wrap_sakala_header_style_top_header(){
	$sakala_lay = get_theme_mod( 'sakala_header_style_top_header','sakala-wrapper');
	if( $sakala_lay == 'sakala-wrapper') {
		return true;
	}
	return false;
}
function wrap_sakala_header_style_main_header(){
	$sakala_lay = get_theme_mod( 'sakala_header_style_main_header','sakala-wrapper');
	if( $sakala_lay == 'sakala-wrapper') {
		return true;
	}
	return false;
}
function wrap_sakala_header_style_bottom_header(){
	$sakala_lay = get_theme_mod( 'sakala_header_style_bottom_header','sakala-wrapper');
	if( $sakala_lay == 'sakala-wrapper') {
		return true;
	}
	return false;
}
function wrap_sakala_footer_style_top_footer(){
	$sakala_lay = get_theme_mod( 'sakala_footer_style_top_footer','sakala-wrapper');
	if( $sakala_lay == 'sakala-wrapper') {
		return true;
	}
	return false;
}
function wrap_sakala_footer_style_main_footer(){
	$sakala_lay = get_theme_mod( 'sakala_footer_style_main_footer','sakala-wrapper');
	if( $sakala_lay == 'sakala-wrapper') {
		return true;
	}
	return false;
}
function sakala_inner_single_content_wrapper(){
	$sakala_lay = get_theme_mod( 'sakala_inner_single_content_wrap','sakala-wrapper');
	if( $sakala_lay == 'sakala-wrapper') {
		return true;
	}
	return false;
}
function sakala_inner_blog_content_wrapper(){
	$sakala_lay = get_theme_mod( 'sakala_inner_blog_content_wrap','sakala-wrapper');
	if( $sakala_lay == 'sakala-wrapper') {
		return true;
	}
	return false;
}
