<?php
/** Custom Controls on Customizer */
require get_template_directory() . '/assets/controls/custom/custom-controls.php';
/** Gradients on Customizer */
require get_template_directory() . '/assets/controls/gradient/gradient.php';
/** Alpha Color on Customizer */
require get_template_directory() . '/assets/controls/alpha-color-picker/alpha-color-picker.php';
/**
 * Customizer additions.
 */
require get_template_directory() . '/assets/customizer/sakala-customizer.php';
require get_template_directory() . '/assets/customizer/sakala-sanitizer.php';




/** Sortable sections settings on Customizer */

/** Draggable section for header and footer */
require get_template_directory() . '/assets/sakaladnd/sakaladragndrop.php';

/** load helpers for header and footer */
require get_template_directory() . '/assets/helpers/header-helper.php';
/** Include Metaboxes */
require get_template_directory() . '/assets/sakala-metaboxes.php';
/** Include Metaboxes */
require get_template_directory() . '/assets/welcome/welcome-config.php';
/** Include Dynamic Css */
require get_template_directory() . '/assets/css/sakala-dynamic-css.php';


if ( ! function_exists( 'sakala_get_section_details' ) ) {
	function sakala_get_section_details( $key,$sakala_order_control='',$section='' ) {
		if(empty($sakala_order_control)){ $sakala_order_control = 'sakala_header_elements_arr'; }
		if(empty($section)){ $section = 'header'; }

		$sakala_defaults = sakala_get_sortable_defaults($section);
		$sakala_sortsec_pos = get_theme_mod( $sakala_order_control, $sakala_defaults );
		
		$position = array_search( $key, array_column( $sakala_sortsec_pos, 'panel' ));

		$return   = $sakala_sortsec_pos[$position];
		return $return;
	}
}

if(!function_exists('sakala_custom_excerpt_length')){
	function sakala_custom_excerpt_length( $length ) {
		$sakala_excerpt_length = get_theme_mod('sakala_inner_blog_excerpt','50');
		return $sakala_excerpt_length;
	}
}
add_filter( 'excerpt_length', 'sakala_custom_excerpt_length', 1 );

/*BreadCrumb*/
if(!function_exists('sakala_breadcrumbs')){
	function sakala_breadcrumbs()
	{
		$showOnHome = 0; // 1 - show breadcrumbs on the homepage, 0 - don't show
		$delimiter = '&raquo;';
		$home = esc_html__('Home','sakala'); 
		global $post;
		
		$showCurrent = '1'; // 1 - show current post/page title in breadcrumbs, 0 - don't show
		$before = '<span class="current">'; // tag before the current crumb
		$after = '</span>'; // tag after the current crumb

		$homeLink = home_url();

		if (is_home() || is_front_page())
		{
			if ($showOnHome == 1) echo '<div id="sakala-breadcrumbs"><a href="' . esc_url($homeLink) . '">' . $home . '</a></div>';
		} 
		else
		{
			echo '<div id="sakala-breadcrumbs"><a href="' . esc_url($homeLink) . '">' . $home . '</a> ' . $delimiter . ' ';

			if ( is_category() ) {
				$thisCat = get_category(get_query_var('cat'), false);
				if ($thisCat->parent != 0) echo get_category_parents($thisCat->parent, TRUE, ' ' . $delimiter . ' ');
				echo $before . '"' . single_cat_title('', false) . '"' . $after;
			} elseif ( is_search() ) {
				echo $before . 'Search results for "' . get_search_query() . '"' . $after;
			} elseif ( is_day() ) {
				echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
				echo '<a href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . get_the_time('F') . '</a> ' . $delimiter . ' ';
				echo $before . get_the_time('d') . $after;
			} elseif ( is_month() ) {
				echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
				echo $before . get_the_time('F') . $after;
			} elseif ( is_year() ) {
				echo $before . get_the_time('Y') . $after;
			} elseif ( is_single() && !is_attachment() ) {
				if ( get_post_type() != 'post' ) {
					$post_type = get_post_type_object(get_post_type());
					$slug = $post_type->rewrite;
					echo '<a href="' . esc_url($homeLink) . '/' . $slug['slug'] . '/">' . get_theme_mod('eightmedi_pro_breadcrumb_'.get_post_type(),$post_type->labels->singular_name) . '</a>';
					if ($showCurrent == 1) echo ' ' . $delimiter . ' ' . $before . get_the_title() . $after;
				} else {
					$cat = get_the_category(); $cat = $cat[0];
					$cats = get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
					if ($showCurrent == 0) $cats = preg_replace("#^(.+)\s$delimiter\s$#", "$1", $cats);
					echo $cats;
					if ($showCurrent == 1) echo $before . get_the_title() . $after;
				}
			} elseif ( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ) {
				$post_type = get_post_type_object(get_post_type());
				echo $before . get_theme_mod('eightmedi_pro_breadcrumb_'.get_post_type(),$post_type->labels->singular_name) . $after;
			} elseif ( is_attachment() ) {
				$parent = get_post($post->post_parent);
				$cat = get_the_category($parent->ID); 
				if($cat!=null){
					$cat = $cat[0];
					echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
					echo '<a href="' . get_permalink($parent) . '">' . $parent->post_title . '</a>';
				}
				if ($showCurrent == 1) echo ' ' . $delimiter . ' ' . $before . get_the_title() . $after;
			} elseif ( is_page() && !$post->post_parent ) {
				if ($showCurrent == 1) echo $before . get_the_title() . $after;
			} elseif ( is_page() && $post->post_parent ) {
				$parent_id  = $post->post_parent;
				$breadcrumbs = array();
				while ($parent_id) {
					$page = get_page($parent_id);
					$breadcrumbs[] = '<a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
					$parent_id  = $page->post_parent;
				}
				$breadcrumbs = array_reverse($breadcrumbs);
				for ($i = 0; $i < count($breadcrumbs); $i++) {
					echo $breadcrumbs[$i];
					if ($i != count($breadcrumbs)-1) echo ' ' . $delimiter . ' ';
				}
				if ($showCurrent == 1) echo ' ' . $delimiter . ' ' . $before . get_the_title() . $after;
			} elseif ( is_tag() ) {
				echo $before . 'Posts tagged "' . single_tag_title('', false) . '"' . $after;
			} elseif ( is_author() ) {
				global $author;
				$userdata = get_userdata($author);
				echo $before . 'Articles posted by ' . $userdata->display_name . $after;
			} elseif ( is_404() ) {
				echo $before . 'Error 404' . $after;
			}

			if ( get_query_var('paged') ) {
				if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) {
					echo ' ('.__('Page' , 'sakala') . ' ' . get_query_var('paged').')';
				}
			}
			echo '</div>';
		}
	}
}

if(!function_exists('sakala_is_archive_thumbnail_enabled')){
	function sakala_is_archive_thumbnail_enabled(){
		$sakala_thumb_enabled = false;
		$sakala_archive_order = get_theme_mod('sakala_inner_blog_elements');
		if($sakala_archive_order==''){
			$sakala_archive_order = '[{"id":"sakala_thumbnail","name":"Thumbnail","enable":"1"},{"id":"sakala_titlemeta","name":"Title & Meta","enable":"1"},{"id":"sakala_excerpt","name":"Excerpt","enable":"1"}]';
		}
		$sakala_archive_order_arr = json_decode($sakala_archive_order,true);
		if($sakala_archive_order_arr!=null){
			foreach ($sakala_archive_order_arr as $sakala_post_elements) {
				if(isset($sakala_post_elements['id']) && $sakala_post_elements['id']=='sakala_thumbnail'){
					if(isset($sakala_post_elements['enable']) && $sakala_post_elements['enable']=='1'){	
						$sakala_thumb_enabled = true;
					}
				}
			}
		}
		return $sakala_thumb_enabled;
	}
}

if(!function_exists('sakala_header_scripts')){
	function sakala_header_scripts(){
		$header_bg_v = get_header_image();
		echo "<style type='text/css' media='all'>";
		if(($header_bg_v)){
			$header_bg_v =   'body:not(.home) .site-header, body.home .site-header { background: url("'.esc_url($header_bg_v).'") no-repeat scroll left top rgba(0, 0, 0, 0); position: relative; background-size: cover; }';
			echo wp_kses_post($header_bg_v);
			echo "\n";
		}
		echo "</style>\n";
	}
}
add_action('wp_head','sakala_header_scripts');

if ( class_exists( 'woocommerce' ) ){
	add_theme_support( 'wc-product-gallery-zoom' );
	add_theme_support( 'wc-product-gallery-lightbox' );
	add_theme_support( 'wc-product-gallery-slider' );

	if(!function_exists('sakala_wrapper_start')){
		function sakala_wrapper_start() {
			echo '<div class="ed-container"><div id="primary" class="content-area">';
		}
	}
	if(!function_exists('sakala_wrapper_end')){
		function sakala_wrapper_end() {
			echo '</div>';
			$sakala_sidebar=get_theme_mod('sakala_woocommerce_sidebar_layout','right-sidebar');
			if($sakala_sidebar=='left-sidebar'){
				get_sidebar('left');
			}elseif($sakala_sidebar=='right-sidebar'){
				get_sidebar('right');
			}else{
				remove_action('woocommerce_sidebar','woocommerce_get_sidebar');
			}
			echo '</div>';
		}
	}
}

/* actions for header */
add_action('sakala_inner_page_titles','sakala_inner_page_titles_cb',10);



if( ! function_exists('sakala_inner_page_titles_cb') ){
    function sakala_inner_page_titles_cb(){
        
        if( is_home() && is_front_page() ){
            return;
        }
        $sakala_single_page_style = get_the_post_thumbnail_url();
		if(!empty($sakala_single_page_style)){
			$sakala_single_page_style = ' style="background-image: url('.$sakala_single_page_style.'); background-size: cover;"';
		}
        $sakala_breadcrumbs  = get_theme_mod('sakala_breadcrumbs_enable','off'); 
        
        if( $sakala_breadcrumbs == 'on'  ){
          ?> 
          <div class="sakala-header-title <?php echo esc_attr($sakala_single_page_style); ?> ">
            <div class="site-content">
                <?php wp_reset_postdata(); ?>

                <?php if(is_archive()) : ?>
                    <?php the_archive_title( '<h1 class="page-title">', '</h1>' ); ?>
                <?php elseif( is_home()) : ?>
                   <h1 class="page-title"><?php single_post_title(); ?></h1>          
                       
                <?php elseif(is_front_page()) : ?>
                <?php the_title( '<h1 class="page-title">', '</h1>' ); ?>

                <?php elseif(is_404()) : ?>
                    <h1 class="page-title"> <?php esc_html_e('404 Not Found','sakala'); ?> </h1>

                <?php elseif(is_category()) : ?>
                <?php the_archive_title( '<h1 class="page-title">', '</h1>' ); ?>

                <?php elseif(is_search()) : 
                /* translators: %s: search term */?>
                <h1 class="page-title"><?php printf( esc_html__( 'Search Results for: %s', 'sakala' ), get_search_query() ); ?></h1>
            <?php elseif(is_page()) : ?>
                <?php the_title( '<h1 class="page-title">', '</h1>' ); ?>
            <?php elseif(is_single()): ?>
                <?php the_title( '<h1 class="page-title">', '</h1>' ); ?>
            <?php endif;
            wp_reset_postdata();?>
        <?php
        echo '<div class="sakala-breadcrumb">';
       
            sakala_breadcrumbs();  
       
        echo '</div>';
        ?>
    </div>
</div>

<?php 
}
}
}
add_action('sakala_main_header','sakala_main_header_cb',10);
if(!function_exists('sakala_main_header_cb')){
	function sakala_main_header_cb() {
		?>
		<header id="masthead" class="site-header">
			<div class="sakala-header-wrap">
				<?php 
				$sakala_header_sections_order = sakala_get_section_order('header');
				
				if($sakala_header_sections_order!='[]'){
					foreach($sakala_header_sections_order as $sec=>$sections){
						$sakala_get_section_item_count = sakala_get_section_item_count($sections);
						if($sakala_get_section_item_count>0){
							$secid = str_replace('-','_',strtolower($sec));
							$sec_wrapper = $sec.'-'.get_theme_mod('sakala_header_style_'.$secid,'sakala-wrapper').' '.$sec.'-elem-wrap header-elements-wrap';
							$secclass = $sec." sakala-header-container ";
							echo '<div class="'.esc_attr($secclass).'">';
							echo '<div class="'.esc_attr($sec_wrapper).'">';
							foreach($sections as $area){
								if(isset($area['enable'])){
									$enable_area = $area['enable'];
									if($enable_area!=0 && isset($area['section'])){
										get_template_part('assets/components/header/'.$area['section']);					
									}
								}
							}
							echo '</div>';
							echo '</div>';
						}
					}
				}
				?>
			</div>
			<div class="sakala-mobile-header">
				<?php
				get_template_part('assets/components/header/site-branding');
				get_template_part('assets/components/header/nav-menu');
				?>
			</div>			
		</header><!-- #masthead -->
		<?php
	}
}


add_action('sakala_archive_header','sakala_archive_header_cb',10);
if(!function_exists('sakala_archive_header_cb')){
	function sakala_archive_header_cb() {
		?>
		<header class="page-header">
			<?php
			the_archive_title( '<h1 class="page-title">', '</h1>' );
			the_archive_description( '<div class="archive-description">', '</div>' );
			?>
		</header><!-- .page-header -->
		<?php
	}
}

add_action('sakala_archive_sidebar','sakala_archive_sidebar_cb',10);
if(!function_exists('sakala_archive_sidebar_cb')){
	function sakala_archive_sidebar_cb() {
		get_sidebar();
	}
}

add_action('sakala_page_post_sidebar','sakala_page_post_sidebar_cb',10);
if(!function_exists('sakala_page_post_sidebar_cb')){
	function sakala_page_post_sidebar_cb() {
		get_sidebar();
	}
}

add_action('sakala_main_footer','sakala_main_footer_cb',10);
if(!function_exists('sakala_main_footer_cb')){
	function sakala_main_footer_cb() {
		?>
		<footer id="colophon" class="site-footer">
			<div class="sakala-footer-wrap">
				<?php
				$sakala_footer_sections_order = sakala_get_section_order('footer');
				if($sakala_footer_sections_order!='[]'){
					foreach($sakala_footer_sections_order as $sec=>$sections){
						$sakala_get_section_item_count = sakala_get_section_item_count($sections);
						if($sakala_get_section_item_count>0){
							$secid = str_replace('-','_',strtolower($sec));
							$sec_wrapper = $sec.'-'.get_theme_mod('sakala_footer_style_'.$secid,'sakala-wrapper').' '.$sec.'-elem-wrap footer-elements-wrap';
							$secclass = $sec." sakala-footer-container";
							echo '<div class="'.esc_attr($secclass).'">';
							echo '<div class="'.esc_attr($sec_wrapper).'">';
							foreach($sections as $area){
								if(isset($area['enable'])){
									$enable_area = $area['enable'];
									if($enable_area!=0 && isset($area['section'])){
										get_template_part('assets/components/footer/'.$area['section']);					
									}
								}
							}
							echo '</div>';
							echo '</div>';
						}
					}
				}
				?>
			</div>
			<div id="sakala-top">
				<span class="dashicons dashicons-arrow-up-alt2"></span>
			</div>
		</footer><!-- #colophon -->
		<?php
	}
}


	