jQuery(document).ready(function($) {
	'use_strict';

	$('.sakala-drag-sec').each(function(){
		var myId = $(this).attr('id');
		if( $(this).hasClass('section-disable')){
			$( '#accordion-section-' + myId ).addClass( 'section-disable' );
		}
	});

	$('#sub-accordion-panel-sakala_header_elements li:first-child').after('<a class="sakala-cus-linkto" href="#sakala_header_layout_setting" rel="sakala-control"><h3 class="accordion-section-title"><i class="dashicons dashicons-undo"></i>Back to Layouts</h3></a>');
	$('#customize-control-sakala_header_layout_setting').prepend('<a class="sakala-cus-linkto" href="#sakala_header_elements" rel="sakala-panel"><h3 class="accordion-section-title"><i class="dashicons dashicons-redo"></i>Manage Elements</h3></a>');
	$('#sub-accordion-panel-sakala_footer_elements li:first-child').after('<a class="sakala-cus-linkto" href="#sakala_footer_layout_setting" rel="sakala-control"><h3 class="accordion-section-title"><i class="dashicons dashicons-undo"></i>Back to Layouts</h3></a>');
	$('#customize-control-sakala_footer_layout_setting').prepend('<a class="sakala-cus-linkto" href="#sakala_footer_elements" rel="sakala-panel"><h3 class="accordion-section-title"><i class="dashicons dashicons-redo"></i>Manage Elements</h3></a>');

	$('#accordion-panel-sakala_header_panel, #accordion-panel-sakala_header_elements').click(function(){
		$('.sakala-dnd.demo').addClass('sakala-dnd-active');
		$('.sakala-dnd .btn-close-dnd').removeClass('hidden');
		if($('.sakala-dnd.demo #header').hasClass('active')===false){
			$('.sakala-dnd .sectionDragnDrop').removeClass('active').addClass('hidden');
			$('.sakala-dnd.demo #header').removeClass('hidden').addClass('active');
		}
	});
	$('#accordion-panel-sakala_footer_panel, #accordion-panel-sakala_footer_elements').click(function(){
		$('.sakala-dnd.demo').addClass('sakala-dnd-active');
		$('.sakala-dnd .btn-close-dnd').removeClass('hidden');
		if($('.sakala-dnd.demo #footer').hasClass('active')===false){
			$('.sakala-dnd .sectionDragnDrop').removeClass('active').addClass('hidden');
			$('.sakala-dnd.demo #footer').removeClass('hidden').addClass('active');
		}
	});

	$('body').on('click','a[rel="sakala-close"]',function() {
		$('.sakala-dnd').toggleClass('sakala-dnd-active');
		$('.sakala-dnd .btn-close-dnd i').toggleClass('dashicons-arrow-up-alt2');		
		if($(this).hasClass('active')){
			$(this).removeClass('active');
			$('.sakala-dnd .btn-close-dnd span').text('Close');
		}else{
			$(this).addClass('active');
			$('.sakala-dnd .btn-close-dnd span').text($('.sectionDragnDrop.active .main-sec-title').text());
		}
	});

	$(".sakalaDrag").sortable({
		connectWith: ".connectedSortable",
		update: function( event, ui ) {
			sakala_area_order();
		}
	})
	.disableSelection();

	/**
	* Section Reorder
	*/
	//sakala_area_order();
	function sakala_area_order(){
		var secfullOrderList = [];
		$('.sectionDragnDrop').each(function(){
			var secOrderList = {};
			var secArea = {};
			var thisParentId = $(this).attr('id');
			$(this).find('.sakalaDrag').each(function(){
				var thisId = $(this).attr('id');
				var areaList = $(this).sortable('toArray');

				var s_ordered = [];
				$.each(areaList, function( index, areaId ) {
					var mySec = $('#' + areaId).attr('data-sec');
					var enable = '1';
					if( $( '#' + areaId ).hasClass( 'section-disable' ) ){        
						var enable = '0';
					}
					s_ordered.push({'panel':areaId,'section':mySec,'enable':enable});
				});
				areaList = s_ordered;

				secArea[thisId] = areaList;
			});
			secOrderList[thisParentId] = secArea;
			secfullOrderList.push(secOrderList);
		});
		secfullOrderList = JSON.stringify(secfullOrderList);
		$('input#save-area-section-reorder').val(secfullOrderList);
		$.ajax({
			url: sakalaDnDAjax.ajax_url,
			type: 'post',
			dataType: 'html',
			data: {
				'action': 'sakala_save_sections_order',
				'sakalasecOrder':secfullOrderList
			}
		})
		.done( function( data ) {
			wp.customize.previewer.refresh();
		});
	}

	
	$( 'body' ).on('click','.sakala-drag-sec .section-trigger',function(){
		var parent_sel = $( this ).parent();
		if( parent_sel.hasClass( 'section-disable' ) ) {
			parent_sel.removeClass( 'section-disable' );
			$( '#accordion-section-' + parent_sel.attr('id') ).removeClass( 'section-disable' );
			$(this).removeClass('dashicons-hidden').addClass( 'dashicons-visibility' );
		}
		else {
			parent_sel.addClass( 'section-disable' );
			$(this).removeClass('dashicons-visibility').addClass( 'dashicons-hidden' );
			$( '#accordion-section-' + parent_sel.attr('id') ).addClass( 'section-disable' );
		}
		sakala_area_order();
	});

	$('body').on('click','#customize-control-sakala_header_layout_setting label[rel="change-layout"]',function(e){
		e.preventDefault();
		$(this).find('input').prop('checked','checked');
		var layHeader = $(this).find('input').val();
		$.ajax({
			url: sakalaAdminAjax.ajax_url,
			type: 'post',
			dataType: 'html',
			data: {
				'action': 'sakala_get_layout_structure',
				'layout': layHeader,
				'section': 'header',
			}
		})
		.done( function( data ) {
			$('.demo-inner-wrap').html(data);
			$(".sakalaDrag").sortable({
				connectWith: ".connectedSortable",
				update: function( event, ui ) {
					sakala_area_order();
				}
			})
			.disableSelection();
			wp.customize.previewer.refresh();

			$('.sakala-drag-sec').each(function(){
				var myId = $(this).attr('id');
				if( $(this).hasClass('section-disable')){
					$( '#accordion-section-' + myId ).addClass( 'section-disable' );
				}else{
					$( '#accordion-section-' + myId ).removeClass( 'section-disable' );
				}
			});
		});
	});

});