<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * Template Name: Blog Layout
 * @package Sakala
 */
?>
<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package sakala
 */
function sakala__new_body_classes( $classes ) {
	
	$classes = array('custom-blog-layout archive category category-uncategorized category-1 logged-in admin-bar wp-custom-logo hfeed sakala-wrapper-archive elementor-default customize-support sakala-new-container');

	$header_layout = get_theme_mod('sakala_header_layout_setting','lay1');
	$classes[] = 'header-'.$header_layout;

	$footer_layout = get_theme_mod('sakala_footer_layout_setting','lay1');
	$classes[] = 'footer-'.$footer_layout;
	
	$archive_layout = get_theme_mod('sakala_inner_blog_layout','list');
	
	if($archive_layout=='list'){
		$archive_layout='grid';
		$classes[] = 'archive-sidebar-none';
	}else{
		$archive_layout='list';
		$classes[] = 'archive-sidebar-right';
	}
	$classes[] = 'archive archive-'.$archive_layout;

	return $classes;
}
add_filter( 'body_class', 'sakala__new_body_classes' );
get_header();
?>
<style type="text/css">
	.archive-sidebar-none #primary, .single-sidebar-none #primary {
		width: 100%;
	}
</style>
<div id="primary" class="content-area">
	<main id="main" class="site-main">

		<?php

		$posts_args = new WP_Query( array( 'posts_per_page' => '6' ) );
		if ( $posts_args->have_posts() ) : ?>

			<?php
			/* Start the Loop */
			while ( $posts_args->have_posts() ) :
				$posts_args->the_post();

				
				$sakala_thumbclass = 'thumbnail-disabled';
				if(!is_singular() && sakala_is_archive_thumbnail_enabled()){
					$sakala_thumbclass = 'thumb-enabled';
				}
				?>
				<article id="post-<?php the_ID(); ?>" <?php post_class($sakala_thumbclass); ?>>
					<?php 

					$sakala_archive_order = get_theme_mod('sakala_inner_blog_elements');
					if($sakala_archive_order==''){
						$sakala_archive_order = '[{"id":"sakala_thumbnail","name":"Thumbnail","enable":"1"},{"id":"sakala_titlemeta","name":"Title & Meta","enable":"1"},{"id":"sakala_excerpt","name":"Excerpt","enable":"1"}]';
					}
					$sakala_archive_order_arr = json_decode($sakala_archive_order,true);
					if($sakala_archive_order_arr!=null){
						foreach ($sakala_archive_order_arr as $sakala_post_elements) {
							if(isset($sakala_post_elements['enable']) && $sakala_post_elements['enable']=='1'){
								get_template_part('assets/components/posts/post',$sakala_post_elements['id']);		
							}
						}
					}
					
					?>
				</article><!-- #post-<?php the_ID(); ?> -->
				<?php

			endwhile;

			the_posts_navigation();

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

	</main><!-- #main -->
</div><!-- #primary -->

<?php
get_sidebar();
get_footer();