<?php 
/**
* Dynamic style file for the theme 
*/
function sakala_dynamic_style(){

    $custom_css = "";

    $font_family    = get_theme_mod( 'body_font_family', 'sans-serif');
    $font_stylefull    = get_theme_mod( 'body_font_style', '400');

    if(!empty($font_stylefull)) {

    $font_style_weight = preg_split('/(?<=[0-9])(?=[a-z]+)/i',$font_stylefull);


    $text_decoration    = get_theme_mod( 'body_text_decoration','none');
    $text_transform    = get_theme_mod( 'body_text_transform','none');
    $font_size    = get_theme_mod( 'body_font_size','16');
    $line_height    = get_theme_mod( 'body_line_height','1.5');
    $let_spacing    = get_theme_mod( 'body_letter_spacing','1');
    $color    = get_theme_mod( 'body_color','#404040');

    }
    $custom_css .="
    body.sakalatypg p,body.sakalatypg
    {
        font-family : ".esc_attr($font_family) .";
        font-weight : ".esc_attr($font_stylefull) .";
        text-decoration : ".esc_attr($text_decoration) .";
        text-transform : ".esc_attr($text_transform) .";
        font-size : ".esc_attr($font_size) ."px;
        letter-spacing : ".esc_attr($let_spacing) ."px;
        line-height : ".esc_attr($line_height) .";
        color : ".esc_attr($color) .";

    }";

/**
* Theme color
*
*/
$sakala_primary_color = get_theme_mod('sakala_primary_color','#df3550');
$rgba_theme_color = sakala_sanitize_rgba( $sakala_primary_color, 0.8 );

if( $sakala_primary_color != '#df3550' ){
    $custom_css .="
    .sidemenuwidget .menu a,#secondary .widget a,#secondary ul li a:hover,.blog .entry-header .entry-title a:hover,.search .entry-header .entry-title a:hover,.archive .entry-header .entry-title a:hover,span.dashicons.dashicons-arrow-up-alt2,.header-lay4 .main-navigation li:hover > a,.header-lay4 .social-links a:hover,.blog .entry-header .entry-title a:hover, .search .entry-header .entry-title a:hover, .archive .entry-header .entry-title a:hover,.blog .entry-header .author a, .search .entry-header .author a, .archive .entry-header .author a, .single .entry-header .author a, .blog .entry-header .posted-on a, .search .entry-header .posted-on a, .archive .entry-header .posted-on a, .single .entry-header .posted-on a,.blog .entry-header .author a, .search .entry-header .author a, .archive .entry-header .author a, .single .entry-header .author a, .blog .entry-header .posted-on a, .search .entry-header .posted-on a, .archive .entry-header .posted-on a, .single .entry-header .posted-on a,.header-lay11 .main-navigation .current-menu-ancestor > a, .header-lay11 .main-navigation li.current-menu-item > a, .header-lay11 .main-navigation li.current_page_item > a, .header-lay11 .main-navigation li:hover > a,.header-lay11 .site-button a,.footer-lay2 footer .main-footer .main-footer-elem-wrap div a,.header-lay5 .main-navigation li.current_page_item > a, .header-lay5 .main-navigation li.current-menu-item > a, .header-lay5 .main-navigation li.current-menu-ancestor > a, .header-lay5 .main-navigation li:hover > a,.header-lay5 .site-phone .phone b,.footer-lay2 footer .main-footer .main-footer-elem-wrap div a, .footer-lay2 footer .main-footer .main-footer-elem-wrap div,.header-lay9 .main-navigation li.current-menu-ancestor > a, .header-lay9 .main-navigation li.current-menu-item > a, .header-lay9 .main-navigation li.current_page_item > a, .header-lay9 .main-navigation li:hover > a,footer .footermenu ul li a, footer .main-footer .site-info, footer .main-footer .site-info a,.header-lay3 .main-navigation li.current-menu-item > a, .header-lay3 .main-navigation li.current_page_item > a, .header-lay3 .main-navigation li.current-menu-ancestor > a, .header-lay3 .main-navigation li:hover > a,.header-lay5 .main-navigation li a,.header-lay6 .main-navigation li a,.header-lay7 .main-navigation li:hover > a, .header-lay7 .main-navigation li.current-menu-item > a, .header-lay7 .main-navigation li.current_page_item > a, .header-lay7 .main-navigation li.current-menu-ancestor > a,body:not(.home).header-lay9 .site-header .main-navigation li a:hover
    {
       color: " . sanitize_hex_color($sakala_primary_color) . ";

    }";

    $custom_css .="
    #secondary .widget_search input[type=submit]
    {
        background-color: " . sanitize_hex_color($sakala_primary_color) . ";

    }";

    $custom_css .="
    #sakala-top:hover,.blog .entry-content a.read-more, .search .entry-content a.read-more, .archive .entry-content a.read-more,.blog .entry-content a.read-more:hover, .search .entry-content a.read-more:hover, .archive .entry-content a.read-more:hover,.comments-area form.comment-form .form-submit input[type=submit],.comments-area form.comment-form .form-submit input[type=submit]:hover,.header-lay4 .main-navigation li a:before,.header-lay5 #bar,.header-lay8 .main-navigation li a:before,.header-lay8 .cart-wrapper .cart .cart-counter,.header-lay1 .bottom-header.sakala-header-container
    {
        background: " . sanitize_hex_color($sakala_primary_color) . ";

    }";

    $custom_css .="
    #sakala-top,.header-lay9 .site-button a
    {
        border: " . sanitize_hex_color($sakala_primary_color) . ";

    }";

    $custom_css .="
    .header-lay5 .search-wrapper.active #searchopen #wrapper #circle, .header-lay5 #circle
    {
        border-color: " . sanitize_hex_color($sakala_primary_color) . ";

    }";

}


wp_add_inline_style( 'sakala-style', $custom_css );
}
add_action( 'wp_enqueue_scripts', 'sakala_dynamic_style' );


if( !function_exists( 'sakala_sanitize_rgba' ) ) {

    function sakala_sanitize_rgba( $color ) {
        if ( empty( $color ) || is_array( $color ) )
            return 'rgba(0,0,0,0)';

        // If string does not start with 'rgba', then treat as hex
        // sanitize the hex color and finally convert hex to rgba
        if ( false === strpos( $color, 'rgba' ) ) {
            return sanitize_hex_color( $color );
        }

        // By now we know the string is formatted as an rgba color so we need to further sanitize it.
        $color = str_replace( ' ', '', $color );
        sscanf( $color, 'rgba(%d,%d,%d,%f)', $red, $green, $blue, $alpha );
        return 'rgba('.$red.','.$green.','.$blue.','.$alpha.')';
    }

}

